Skip to main content
GET
/
api
/
v2
/
workspaces
/
{workspaceId}
/
incidents
/
{source}
/
by-entity
Get incidents by entity
curl --request GET \
  --url https://api.example.com/api/v2/workspaces/{workspaceId}/incidents/{source}/by-entity
import requests

url = "https://api.example.com/api/v2/workspaces/{workspaceId}/incidents/{source}/by-entity"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v2/workspaces/{workspaceId}/incidents/{source}/by-entity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "incidents": [
      {
        "creationTime": "2023-11-07T05:31:56Z",
        "number": 123,
        "title": "<string>",
        "description": "<string>",
        "id": "<string>",
        "workspaceId": "<string>",
        "classificationComment": "<string>"
      }
    ]
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "<string>"
  }
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}

Path Parameters

workspaceId
string<uuid>
required
source
enum<string>
required
Available options:
Sentinel,
DefenderXDR,
QRadar,
Splunk,
CrowdStrike,
SentinelOne

Query Parameters

IncidentId
string
EntityKind
string
EntityFilter
string
TimeFilteringType
any
Available options:
ThreeHours,
SixHours,
TwelveHours,
TwentyFourHours,
FourtyEightHours,
Custom,
null
StartDate
string<date-time>
EndDate
string<date-time>
EntityName
string
EntityType
enum<string>
Available options:
User,
IP,
File,
Process,
Device,
Malware,
CloudApplication,
DomainName,
AzureResource,
FileHash,
RegistryKey,
RegistryValue,
SecurityGroup,
URL,
IoTDevice,
Mailbox,
MailCluster,
MailMessage,
Submission,
SentinelEntities,
DnsResolution,
Registry,
OAuthApplication,
AmazonResource,
BlobContainer,
Blob,
Container,
ContainerRegistry,
ContainerImage,
GoogleCloudResource,
KubernetesCluster,
KubernetesController,
KubernetesNamespace,
KubernetesPod,
KubernetesService,
KubernetesSecret,
KubernetesServiceAccount,
AnalyzedMessage,
DNS,
Unknown

Response

OK

Standard v2 API response envelope for single-item responses.

data
object
meta
object